/**
 * This class represents an abstract object that can
 * be associated with a particular Cell.
 * 
 * @author Phil Reakes
 */
public abstract class CellDweller
{
    // Cell that contains this CellDweller
    public Cell parentCell;
    
    /**
     * Constructor for CellDwellers. Places the CellDweller on a specified cell.
     * 
     * @param   cell  the cell on which this CellDweller is to be placed.
     */
    public CellDweller( Cell cell )
    {
        parentCell = cell;
    }
    
    /**
     * Get a reference to the Cell that this CellDweller is on.
     * 
     * @return     the Cell containing this CellDweller
     */
    public Cell getCell()
    {
        return parentCell;
    }
    
    /**
     * Set the Cell that this CellDweller is on.
     * 
     * @param   cell     the Cell containing this CellDweller
     */
    public void setCell( Cell cell )
    {
        parentCell = cell;
    }    
    
} // class CellDweller