import java.awt.*;
import java.awt.event.*;

public class WorldFrame
    extends Frame
    implements ActionListener, ItemListener
{
    private World world;
    
    private Label scoreCard;

    private Button quitButton;

    public WorldFrame()
    {
        setLayout(new BorderLayout());
        
        world = createDefaultWorld();
        add(world, BorderLayout.CENTER);

        Panel worldControllerP = new Panel();
        add(worldControllerP, BorderLayout.SOUTH);
        
        quitButton = new Button( "Quit" );
        quitButton.addActionListener( this );
        worldControllerP.add( quitButton );
        
        // make this lable nice and long to display high scores
        scoreCard = new Label( "Game on...                    " );
        worldControllerP.add( scoreCard );        

        setTitle( "Minesweeper" );
        
        // put the window nearer to centre screen
        setLocation(300, 100);

        // This line is very important! It causes the frame
        // to be laid out and resized to the appropriate size.
        pack();
    }

    /**
     * Display the player's game results.
     * 
     * @param   scoreMessage    the player's game results    
     */
    public void updateScoreCard( String scoreMessage )
    {
        scoreCard.setText( scoreMessage );     
    }
 
    /**
     * Does nothing, but added to honour interface. 
     */
    public void itemStateChanged(ItemEvent event)
    {
        Object source = event.getSource();

        // do nothing        
   
    }

    /**
     * Handles button clicks etc. 
     */
    public void actionPerformed(ActionEvent event)
    {
        Object source = event.getSource();
        
        if (source == quitButton)
        {
            System.exit(0);
        }
        else
        {
            // unknown event source - do nothing
        }
    }

   
   /*
    * This method sets up a new world.
    */ 
    private World createDefaultWorld()
    {
        World world = new World(15, 15, this);
          
        return world;
    }
}